> For the complete documentation index, see [llms.txt](https://docs.ggwp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ggwp.com/kr/id-iam/api-scim/api-1/create-user.md).

# 사용자 생성

### 개요

시스템에 새 사용자를 생성합니다.

이 엔드포인트는 사용자 프로비저닝 중 Okta 및 Microsoft Azure Active Directory와 같은 ID 제공자에서 사용됩니다.

***

### 엔드포인트

```bash
POST /Users
```

***

### 전체 URL

```bash
https://api.ggwp.com/scim/v2/Users
```

***

### 인증

```http
Authorization: Bearer <access_token>
```

***

## 요청 본문

### 예시

```json
{
  "schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
  "userName": "Temp_user_prod",
  "externalId": "ABC1900BE",
  "name": {
    "givenName": "Temp",
    "familyName": "User"
  },
  "displayName": "Temp User",
  "emails": [
    {
      "value": "temp_user_us@example.com",
      "primary": true
    }
  ],
  "roles": [
    {
      "value": "admin"
    }
  ],
  "active": true
}
```

***

## 본문 매개변수

### schemas

* **유형:** `array[string]`
* **필수:** 예
* **값:**  `urn:ietf:params:scim:schemas:core:2.0:User`&#x20;

***

### userName

* **유형:** `string`
* **필수:** 예
* **설명:** 사용자의 고유 식별자

***

### name

* **유형:** `object`
* **필수:** 선택 사항

#### 하위 속성

<table><thead><tr><th width="150.5">필드</th><th width="137.5">유형</th><th>설명</th></tr></thead><tbody><tr><td>givenName</td><td>string</td><td>이름</td></tr><tr><td>familyName</td><td>string</td><td>성</td></tr></tbody></table>

***

### emails

* **유형:** `array[object]`
* **필수:** 예

#### 하위 속성

<table><thead><tr><th width="134.5">필드</th><th width="143">유형</th><th width="131.5">필수</th><th>설명</th></tr></thead><tbody><tr><td>value</td><td>string</td><td>✅</td><td>이메일 주소</td></tr><tr><td>type</td><td>string</td><td>❌</td><td>work, home</td></tr><tr><td>primary</td><td>boolean</td><td>❌</td><td>기본 이메일</td></tr></tbody></table>

***

### active

* **유형:** `boolean`
* **필수:** 선택 사항
* **기본값:** `true`

***

## 응답

### 성공(200 OK)

```json
{
  "schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
  "id": "c118d158-c11b-495b-ab88-f57c8ac473c0",
  "userName": "Temp_user_prod",
  "externalId": "ABC1900BE",
  "active": true,
  "name": {
    "givenName": "Temp",
    "familyName": "User"
  },
  "displayName": "Temp User",
  "emails": [
    {
      "value": "temp_user_us@example.com",
      "primary": true
    }
  ],
  "roles": [
    {
      "value": "admin"
    }
  ],
  "meta": {
    "resourceType": "User",
    "location": "https://api.ggwp.com/scim/v2/Users/c118d158-c11b-495b-ab88-f57c8ac473c0",
    "created": "2026-04-01T11:15:22Z",
    "lastModified": "2026-04-01T11:15:22Z"
  }
}
```

***

## 오류 응답

### 400 잘못된 요청

```json
{
  "schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
  "status": "400",
  "detail": "잘못된 요청"
}
```

***

### 409 충돌(중복 사용자)

```json
{
  "schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
  "status": "409",
  "detail": "이 사용자 이름을 가진 사용자가 이미 존재합니다"
}
```

***

## 유효성 검사 규칙

* `schemas` 존재하고 유효해야 함
* `userName` 고유해야 함
* 이메일 형식은 유효하고 고유해야 함
* 중복 사용자는 반드시 반환해야 함 `409 충돌`
* 잘못된 페이로드는 반드시 반환해야 함 `400`
